CloudBasicCertificateRequest

Prev Next

The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.

Available in Classic and VPC

Request a Cloud Basic certificate.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /certificate/requestCertificateIssuance

Request headers

For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.

Request body

You can include the following data in the body of your request:

Field Type Required Description
certificateName String Required Certificate name
commonName String Required Domain to be included in the certificate CN (Common Name)
dnsName Array Optional List of domains to be included in the certificate SAN (Subject Alternative Name)
validationMethod String Required Certificate domain control (DCV) validation method
  • D | E
    • D: DNS CNAME record validation method
    • E: Email-based validation method (domain admin email approval)

Request example

The request example is as follows:

curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/requestCertificateIssuance' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "certificateName": "ncloudcertificate",
    "commonName": "*.ncloud.com",
    "dnsName": ["ncloud.com","ncloud-docs.com"],
    "validationMethod": "D"
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String - Response code
returnMessage String - Response message
totalRows Integer - Total number of lists searched
certificateName String - Certificate name
commonName String - Domain to be included in the certificate CN (Common Name)
dnsName String - List of domains to be included in the certificate SAN (Subject Alternative Name)
validationMethod String - Domain ownership (DCV) validation method
requestSn String - Unique request identifier

Response status codes

For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.

Response example

The response example is as follows:

{
    "returnCode": "0",
    "returnMessage": "Success",
    "totalRows": 0,
    "certificateName": "ncloudcertificate",
    "commonName": "*.ncloud.com",
    "dnsName": "ncloud.com,ncloud-docs.com",
    "validationMethod": "D",
    "requestSn": "0f552ca604044887be19a3d4f7d74c6d"
}